diff --git a/src/backend/catalog/dependency.c b/src/backend/catalog/dependency.c
index ec8eb74..6bfb3c9 100644
*** a/src/backend/catalog/dependency.c
--- b/src/backend/catalog/dependency.c
*************** getObjectDescription(const ObjectAddress
*** 2389,2396 ****
  				 * textual form of the function with arguments, and the second
  				 * %s is the description of the operator family.
  				 */
! 				appendStringInfo(&buffer, _("function %d %s of %s"),
  								 amprocForm->amprocnum,
  								 format_procedure(amprocForm->amproc),
  								 opfam.data);
  				pfree(opfam.data);
--- 2389,2398 ----
  				 * textual form of the function with arguments, and the second
  				 * %s is the description of the operator family.
  				 */
! 				appendStringInfo(&buffer, _("function %d (%s,%s) %s of %s"),
  								 amprocForm->amprocnum,
+ 								 format_type_be(amprocForm->amproclefttype),
+ 								 format_type_be(amprocForm->amprocrighttype),
  								 format_procedure(amprocForm->amproc),
  								 opfam.data);
  				pfree(opfam.data);
